Class | Bio::FlatFileIndex::BDB_1::PrimaryNameSpace
In: | lib/bio/io/flatfile/bdb.rb
Parent: | Template::NameSpace

### Methods

filename mapping search

### Public Instance methods

filename()

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 217
    217:         def filename
    218:           File.join(dbname, "key_#{name}")
    219:         end

mapping(filename)

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 214
    214:         def mapping(filename)
    215:           BDBMappingFile.new(filename)
    216:         end

search(key)

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 220
    220:         def search(key)
    221:           r = super(key)
    222:           unless r.empty? then
    223:             [ r ]
    224:           else
    225:             r
    226:           end
    227:         end

[Validate]